Initiates a new multipart upload for a related asset (e.g., subtitle, proxy, thumbnail).

Behavior: Prepares an upload for a file that will be associated with an existing parent asset as a related asset. Generates pre-signed URLs for each upload part. Use this for uploading supplementary files such as subtitle tracks, proxy videos, or custom thumbnails.

Authorization: Requires a valid Bearer token.

Side Effects: An upload record is created. Pre-signed upload URLs are generated.

Error Scenarios: Returns 400 if the request body is missing or invalid. Returns 401 if the caller is not authenticated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The upload parameters including parent asset ID, file name, size, and relationship type.

Represents a request to initiate an upload for a related asset, such as a sidecar file or alternate rendition.

uuid | null

Gets or sets the Existing AssetId (file) that should be overwritten with this upload. Note that by specifying this attribute then the parentId, relativePath and displayName are all ignored.

uuid | null

Gets or sets the related asset ID of the existingAsset that we're replacing. If this is used, most of the other properties are not needed.

uuid | null

Gets or sets the type of the related asset metadata to be created for a given ExistingAssetId. If specified, ExistingAssetId has to have a value defined.

string | null

Gets or sets the filename to upload - or a full path with the filename at the end. This is ignored if the ExistingAssetId or if the RelatedContentId has a value

uuid | null

Gets or sets the language of the asset to upload. If this is left blank then the default system language is used.

int64

Gets or sets the size of the asset to upload. This is used to calculate the upload parts.

int64

Gets or sets the size of the upload chunks. This should be adjusted to optimize the upload size based on the user's internet connection.

string
enum

Cancel

Continue

Replace

AssetReplace

Allowed:
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json